Gecode::SetVarLubValues Class Reference

Iterator for the values in the least upper bound of a set variable. More...

`#include <set.hh>`

## Constructors and initialization

| SetVarLubValues (void)
| Default constructor.
| SetVarLubValues (const SetVar &x)
| Initialize to iterate values of variable x.

## Iteration control

bool | operator() (void) const
| Test whether iterator is still at a value or done.
void | operator++ (void)
| Move iterator to next value (if possible).

## Value access

int | val (void) const
| Return current value.

## Detailed Description

Iterator for the values in the least upper bound of a set variable.

Definition at line 394 of file set.hh.

## Constructor & Destructor Documentation

## SetVarLubValues() [1/2]

Gecode::SetVarLubValues::SetVarLubValues | ( | void |  | ) |

Default constructor.

## SetVarLubValues() [2/2]

Gecode::SetVarLubValues::SetVarLubValues | ( | const SetVar & | x | ) |

inline

Initialize to iterate values of variable x.

Definition at line 206 of file set.hpp.

## Member Function Documentation

## operator()()

bool Gecode::SetVarLubValues::operator() | ( | void |  | ) | const

inline

Test whether iterator is still at a value or done.

Definition at line 212 of file set.hpp.

## operator++()

void Gecode::SetVarLubValues::operator++ | ( | void |  | ) |

inline

Move iterator to next value (if possible).

Definition at line 217 of file set.hpp.

## val()

int Gecode::SetVarLubValues::val | ( | void |  | ) | const

inline

Return current value.

Definition at line 222 of file set.hpp.

The documentation for this class was generated from the following files:

- gecode/set.hh
- gecode/set/var/set.hpp